Subject: [IPP] confusion from some FaxOut attributes [PWG5100.15-2014]

From: Walter Zhou <[email-masked]>
Date: Tue, 18 Nov 2014 17:06:31 +0800

Hi all

I am implementing IPP FaxOut based on [PWG5100.15-2014], but I could not 
understand some attributes (By the way, maybe the specification is too 
slim).

Section 7.2 Job Template Attributes, the section title is OK ? Sorry, I 
am not a IPP guru, I think maybe the section title should be "Operation 
Attributes".

When a user want to send a fax, the client should tell the printer 
his/her intents:

1. confirmation sheet need print ? (confirmation-sheet-print)
2. cover sheet information (cover-sheet-info)
3. The fax recipient(s) info (destination-uris)
etc.

These infos belong to "Operation Attributes" or "Job Template 
Attributes" ? Sorry, I got lost.

If they belong to "Job Template Attributes", How does the client tell 
the printer to send fax (which recipients, etc.) ?

Yes, the printer could retrieve the recipients from 
"destination-uris"(Job Template Attributes), but the collections are 
fixed, the client could only send fax to the recipients in the collections ?

Regards

Walter

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: Michael Sweet <[email-masked]>
Date: Wed, 19 Nov 2014 07:11:17 -0500

Walter,

> On Nov 18, 2014, at 4:06 AM, Walter Zhou <[email-masked]> wrote:
> 
> Hi all
> 
> I am implementing IPP FaxOut based on [PWG5100.15-2014], but I could not understand some attributes (By the way, maybe the specification is too slim).

At 50 pages long to do a binding of a 35 page long SM spec, and after two years of development, I hope that is not the case...  The specifically (naturally) assumes a working knowledge of IPP, including IPP/1.1 from RFC 2910/2911/3382/3510 and IPP/2.0 from PWG 5100.12.  There are dozens of IPP specifications (both RFCs and PWG standards), and hundreds more for IP, TCP, TLS, Bonjour, and other protocols and technologies that we depend on - that's one of the reasons we include tables for all operations and attributes with references to help navigate the specs you need to understand.

> Section 7.2 Job Template Attributes, the section title is OK ? Sorry, I am not a IPP guru, I think maybe the section title should be "Operation Attributes".

No.  Job Template attributes are supplied in Job Creation operations in the job-attributes-tag group.

> When a user want to send a fax, the client should tell the printer his/her intents:
> 
> These infos belong to "Operation Attributes" or "Job Template Attributes" ? Sorry, I got lost.

These are all Job Template attributes, so they go in the job-attributes-tag group in the request, after any operation attributes.

> If they belong to "Job Template Attributes", How does the client tell the printer to send fax (which recipients, etc.) ?

The Printer (FaxOut service) copies the Job Template attributes in the Create-Job to the Job object, per RFC 2911.  Those attributes are then used in the processing of the Job.

> Yes, the printer could retrieve the recipients from "destination-uris"(Job Template Attributes), but the collections are fixed, the client could only send fax to the recipients in the collections ?

For that Job, yes.  The Client specifies the recipient(s) in the "destination-uris" Job Template attribute when sending the Create-Job request.  The Printer (FaxOut service) copies any Job Template attributes into the Job object that is created, and then uses those attributes (collectively called a "job ticket") when processing the Job (sending the fax).

_________________________________________________________
Michael Sweet, Senior Printing System Engineer, PWG Chair